package edu.jhu.cs.oose.group3.intelligentbook.dao;

import org.springframework.orm.hibernate3.HibernateTemplate;

import edu.jhu.cs.oose.group3.intelligentbook.model.ContactGroup;

/**
Data access object for the contact groups
*/
public class ContactGroupDao {
	private HibernateTemplate hibernateTemplate;
	
	public void save(ContactGroup contactGroup) {
		hibernateTemplate.saveOrUpdate(contactGroup);
	}

	/**
	 * @param hibernateTemplate the hibernateTemplate to set
	 */
	public void setHibernateTemplate(HibernateTemplate hibernateTemplate) {
		this.hibernateTemplate = hibernateTemplate;
	}
}
