/**
 * 
 */
package edu.jhu.cs.oose.group3.intelligentbook.util;

import edu.jhu.cs.oose.group3.intelligentbook.model.AddressContactItem;
import edu.jhu.cs.oose.group3.intelligentbook.model.EmailContactItem;
import edu.jhu.cs.oose.group3.intelligentbook.model.FirstNameContactItem;
import edu.jhu.cs.oose.group3.intelligentbook.model.LastNameContactItem;
import edu.jhu.cs.oose.group3.intelligentbook.model.MiddleNameContactItem;
import edu.jhu.cs.oose.group3.intelligentbook.model.OccupationContactItem;
import edu.jhu.cs.oose.group3.intelligentbook.model.PhoneContactItem;
import edu.jhu.cs.oose.group3.intelligentbook.model.WebsiteContactItem;

/**  Specifically export the components of a contact */
public abstract class Exporter {
	/** Get the status of the exporter*/
	public String getStatus() {
		return null;
	}
	/** Set the status of the exporter*/
	public void setStatus(String status) {
		
	}
	/** Signals the start of the exporting of a new contact*/
	public void exportContactStart() {
		
	}
	/** Sigals the end of the exporting of the current contact*/
	public void exportContactEnd() {
		
	}
	/** export the first name component of the current contact*/
	public void exportFirstNameContactItem(FirstNameContactItem item) {
		
	}
	/** export the last name component of the current contact*/
	public void exportLastNameContactItem(LastNameContactItem item) {
		
	}
	/** export the middle name component of the current contact*/
	public void exportMiddleNameContactItem(MiddleNameContactItem item) {
		
	}
	/** export the phone component of the current contact*/
	public void exportPhoneContactItem(PhoneContactItem item) {
		
	}
	/** export the emailcomponent of the current contact*/
	public void exportEmailContactItem(EmailContactItem item) {
		
	}
	/** export the website component of the current contact*/
	public void exportWebsiteContactItem(WebsiteContactItem item) {
		
	}
	/** export the occupation component of the current contact*/
	public void exportOccupationContactItem(OccupationContactItem item) {
	}
	/** export the address component of the current contact*/
	public void exportAddressContactItem(AddressContactItem item) {
		
	}
} 
