package edu.jhu.cs.oose.group3.intelligentbook.dao;

import org.springframework.orm.hibernate3.HibernateTemplate;

import edu.jhu.cs.oose.group3.intelligentbook.model.ContactItem;
/**
Deals with the data access object for the contact items.
*/
public class ContactItemDao {
	private HibernateTemplate hibernateTemplate;
	
	public void save(ContactItem contactItem) {
		hibernateTemplate.saveOrUpdate(contactItem);
	}

	/**
	 * @param hibernateTemplate the hibernateTemplate to set
	 */
	public void setHibernateTemplate(HibernateTemplate hibernateTemplate) {
		this.hibernateTemplate = hibernateTemplate;
	}

}
