package edu.jhu.cs.oose.group3.intelligentbook.model;

import java.util.Date;

import javax.persistence.Entity;

/** A birthday */
@Entity
public class BirthdayContactItem extends SingularContactItem {
	public BirthdayContactItem() {
	}

	public BirthdayContactItem(String contents) {
		super(contents);
	}

	private Date date;
	/** Set the birthday (given a string)
	 * @param s the string to parse to set the birthday
	 */
	public void setContents(String s) {
		super.setContents(s);
	}
	
	/** Get the contents as a string
	 * @return a string representation of the date
	 */
	public String getContents() {
		return super.getContents();
	}

	/**
	 * @return the date
	 */
	public Date getDate() {
		return date;
	}

	/**
	 * @param date the date to set
	 */
	public void setDate(Date date) {
		this.date = date;
	}
	
	
	
}
