package edu.jhu.cs.oose.group3.intelligentbook.util;

import java.util.List;

/** Specifically import the components of a contact
 * Since the user are not supposed to edit other people's contacts,
 *  the underlying address book is imported as a list of queries*/
public abstract class Importer {
	/** Get final list of queries when importing stops*/
	public List<Query> getQueries() {
		return null;
	}
	/** Get the status of the importer*/
	public String getStatus() {
		return null;
	}
	/** Set the status of the importer*/
	public void setStatus(String status) {
		
	}
	/** Start the importing of a new contact-query*/
	public void importQueryStart() {
		
	}
	/** Ends the importing of the current contact quert*/
	public void importQuertEnd() {
		
	}
	/** import the name part of the current contact*/
	public void importName(String name) {
		
	}
	/** import the phone part of the current contact*/
	public void importPhone(String name) {
		
	}
	/** import the email part of the current contact*/
	public void importEmail(String name) {
		
	}
	/** import the website part of the current contact*/
	public void importWebsite(String name) {
		
	}
	/** import the address part of the current contact*/
	public void importAddress(String name) {
	}
}
