package edu.jhu.cs.oose.group3.intelligentbook.backingbeans;

import java.util.ArrayList;
import java.util.List;

import edu.jhu.cs.oose.group3.intelligentbook.model.Contact;
import edu.jhu.cs.oose.group3.intelligentbook.services.ContactService;

/**
This package manages and supplies the underlying information for the AddContact page.
*/
public class AddContactBackingBean {
private String firstName;
private String lastName;
private String phone;




private ContactService contactService;

/**
 * @return the contactService
 */
public ContactService getContactService() {
	return contactService;
}

/**
 * @param contactService the contactService to set
 */
public void setContactService(ContactService contactService) {
	this.contactService = contactService;
}

public String addContact() {
	contactService.addContact(firstName,lastName,phone);
	return "added";
}

/**
 * @return the firstName
 */
public String getFirstName() {
	return firstName;
}

/**
 * @param firstName the firstName to set
 */
public void setFirstName(String firstName) {
	this.firstName = firstName;
}

/**
 * @return the lastName
 */
public String getLastName() {
	return lastName;
}

/**
 * @param lastName the lastName to set
 */
public void setLastName(String lastName) {
	this.lastName = lastName;
}

/**
 * @return the phone
 */
public String getPhone() {
	return phone;
}

/**
 * @param phone the phone to set
 */
public void setPhone(String phone) {
	this.phone = phone;
}

}
